Whatsapp template list

The list of Whatsapp template tabs that the user has created

Request

GET https://wa.antgst.com/v1/whatsapp/templates

Header Parameters

Authorization

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Query Params

Field

Type

Required(*)

Description

wabaId

String

false

Whatsapp Business Account ID.

name

String

false

Template name.

category

String

false

Template category. AUTHENTICATION MARKETING UTILITY

language

String

false

Language code of the template.

status

String

false

Template status. PENDING APPROVED REJECTED

pageNo

int

false

Page number of the results to be returned. 1 to 100 Defaults to 1

pageSize

int

false

Maximum number of pages per page. 1 to 100 Defaults to 10

Request Example:

curl --location --request GET 'https://wa.antgst.com/v1/whatsapp/templates?pageNo=1&pageSize=10' \
--header 'Authorization: Bearer ...'

Response Example:

Response parameter description:

Field

Description

officialTemplateId

Official template ID assigned by WhatsApp. This ID is used to identify the template in WhatsApp's system.

wabaId

Whatsapp Business Account ID.

name

The name of a WhatsApp template.

category

Template category. AUTHENTICATION MARKETING UTILITY

qualityScore

Quality rating of WhatsApp template.One of GREEN YELLOW UNKNOWN. .See also Template Quality Ratingarrow-up-right.

+ GREEN: High quality.

+ YELLOW: Medium quality.

+ RED: Low quality.

+ UNKNOWN: Unknown quality.

GREEN YELLOW RED UNKNOWN

status

The status of a WhatsApp template.

+ PENDING: Indicates that the template is under template review.

+ REJECTED: The template has been rejected during review process.

+ APPROVED: The template is approved, and you may begin sending it to customers.

+ PAUSED: The template has been paused due to recurring negative feedback from customers. Message templates with this status cannot be sent to customers. See Template Pausingarrow-up-right.

+ DISABLED: The template has been disabled due to recurring negative feedback from customers or for violating one or more of our policies. Message templates with this status cannot be sent to customers.

+ FLAGGED: The template has received negative feedback and is at risk of being disabled.

+ LIMIT_EXCEEDED: WhatsApp Business account templates have reached their template limits.See also Template restrictionsarrow-up-right + IN_APPEAL: The template is in appeal. See also Template Appealsarrow-up-right.

+ PENDING_DELETION: The template is deleted.

language

Language code of the template.

previousCategory

this field indicates the template's previous category. Compare this value to the template's category field value, which indicates the template's current category.

messageSendTtlSeconds

If we are unable to deliver a message for an amount of time that exceeds its time-to-live, we will stop retrying and drop the message. By default, messages that use an authentication template have a default TTL of 10 minutes, and messages that use a utility or marketing template have a default TTL of 30 days. Set its value between 30 and 900 seconds (i.e., 30 seconds to 15 minutes) for authentication templates, or 30 and 43200 seconds (i.e., 30 seconds to 12 hours) for utility templates, or 43200 and 2592000 seconds (i.e., 12 hours to 30 days) for marketing templates. Alternatively, you can set this value to -1, which will set a custom TTL of 30 days for either type of template. We encourage you to set a time-to-live for all of your authentication templates, preferably equal to or less than your code expiration time, to ensure your customers only get a message when a code is still usable.

whatsappTemplateComponents

Template components.

whatsappError

When creating a template for rejection Whatsapp returns the rejection reason.

createTime

Template create time. Follows the ISO 8601 international standard for representing date and time.

updateTime

Template update time. Follows the ISO 8601 international standard for representing date and time.

total

The total number of data.

size

The number of pages per page.

current

Current page number.

pages

Total number of pages.

Last updated